.dragclonedrop {
  .dragcloneDrop-inner {
      width: auto;
  }

  .dragcloneDrop-widget {
      display: inline-block;
      width: 100%;
  }

  .dragcloneDrop-options-container {
      position: relative;
      float: left;
      width: 50%;
      margin-bottom: 8px;
      border-color: transparent;
  }

  .dragcloneDrop-items-container {
      position: relative;
      float: left;
    //   width: 50%;
      margin-bottom: 8px;
      border-color: transparent;
  }

  .dropped {
  position: absolute;
  top: 0 !important;
  left: 0 !important;
  background-color: blue !important;
  color: #ffffff;
}

  .dragcloneDrop-item {
    //   position: relative;
      display: block;
    //   position: absolute;
      border-width: 1px;
      border-style: solid;
      border-color: black;
      width: 150px;
      margin: 5px;
      height: 60px;
      // padding: 5px;
      // cursor: pointer;
      // -webkit-user-select: none;
      // -moz-user-select: none;
      // -ms-user-select: none;
      // user-select: none;
      // text-align: center;
      // color: black;
      // background-color: aqua;
  }

}

.dragcloneDrop-widget{
    height: 500px;
}

.dragcloneDrop__item-state{
    .dragcloneDrop__item-icon{

        .icon{
            display: none;
            &:before{
                content: "";
                background-color: #fff;
                border-radius: 50%;
                box-shadow: 0 0.125rem 0.375rem rgba(0, 0, 0, 0.4);
                line-height: 2.3rem;
                position: absolute;
                left: 0.6rem;
                top: 0.8rem;
                width: 2.3rem;
                z-index: 2;
            }
        }

        &.dragcloneDrop__item-correct-icon{
            .icon{
                &:before{
                    content: "\e944";
                    color: @validation-success;
                }
            }
        }

        &.dragcloneDrop__item-incorrect-icon{
            .icon{
                &:before{
                    content: "\e945";
                    color: @validation-error;
                }
            }
        }
    }
}

&.correct{
    .dragcloneDrop__item-correct-icon{
        .icon{
            display: block;
        }
    }
}

&.incorrect{
    .dragcloneDrop__item-incorrect-icon{
        .icon{
            display: block;
        }
    }
}


.dragcloneDrop-widget-disabled{
    .dragcloneDrop-answer{
        pointer-events: none;
        cursor: not-allowed;
        opacity: 0.5;
    }
}

.matching {
    &__select-icon {
      display: none;
    }
  
    // Matching item icons
    // --------------------------------------------------
    &__select-correct-icon .icon {
      .icon-tick;
    }
  
    &__select-incorrect-icon .icon {
      .icon-cross;
    }
  
    // Class to show the users selection
    // --------------------------------------------------
    &__widget.show-user-answer .is-correct &__select-correct-icon,
    &__widget.show-user-answer .is-incorrect &__select-incorrect-icon {
      display: block;
    }
  
    // Class to show the correct answers
    // --------------------------------------------------
    &__widget.show-correct-answer .is-correct &__select-correct-icon,
    &__widget.show-correct-answer .is-incorrect &__select-correct-icon {
      display: block;
    }
  }
  
